# Configure the database for the translation platform
class tails::weblate::database(
  String $db_name,
  String $db_user,
  String $db_password,
) {

  ### PostgreSQL database configuration

  class { 'postgresql::server': }

  postgresql::server::db { $db_name:
    user     => $db_user,
    password => postgresql_password($db_user, $db_password),
  }

  ### Backups

  include tails::backupninja

  file { '/etc/backup.d/10.pgsql':
    ensure  => present,
    owner   => root,
    group   => root,
    mode    => '0400',
    content => "hotcopy = no
sqldump = yes
backupdir = /var/backups/postgres
databases = all
compress = yes
format = plain
",
    require => Package['backupninja'],
  }

}
