# Manage what's needed to build the Tails website
class tails::website::builder (
  Boolean $with_search = false,
) {

  ### Sanity checks

  if $::lsbdistcodename !~ /^stretch|sid$/ {
    fail('This class only supports Debian Stretch and sid.')
  }

  ### Resources

  #6907
  package { 'ikiwiki':
    require => Apt::Pin['ikiwiki'],
  }
  apt::pin { 'ikiwiki':
    packages   => 'ikiwiki',
    originator => 'Debian',
    codename   => 'buster',
    priority   => 990,
  }

  $packages = [
    'libyaml-perl',
    'libyaml-libyaml-perl',
    'libyaml-syck-perl',
    'perlmagick',
    'po4a',
    'ruby',
  ]

  ensure_packages($packages)

  if $with_search {
    $search_packages = [
      'libsearch-xapian-perl',
      'xapian-omega',
    ]
    ensure_packages($search_packages)
  }

}
